Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Thread

    java.lang.Object
      |
      +--java.lang.Thread

Direct Known Subclasses:
  Scar

public synchronized class Thread
extends Object
implements Runnable

Field Summary
`static int` | `MAX_PRIORITY`
`static int` | `MIN_PRIORITY`
`static int` | `NORM_PRIORITY`

Constructor Summary
`Thread()`
`Thread(Runnable)`
`Thread(Runnable, String)`
`Thread(String)`
`Thread(ThreadGroup, Runnable)`
`Thread(ThreadGroup, Runnable, String)`
`Thread(ThreadGroup, String)`

Method Summary
`static int` | `activeCount()`
`void` | `checkAccess()`
`int` | `countStackFrames()`
`static Thread` | `currentThread()`
`void` | `destroy()`
`static void` | `dumpStack()`
`static int` | `enumerate(Thread[])`
`ClassLoader` | `getContextClassLoader()`
`String` | `getName()`
`int` | `getPriority()`
`ThreadGroup` | `getThreadGroup()`
`void` | `interrupt()`
`static boolean` | `interrupted()`
`boolean` | `isAlive()`
`boolean` | `isDaemon()`
`boolean` | `isInterrupted()`
`void` | `join()`
`void` | `join(long)`
`void` | `join(long, int)`
`void` | `resume()`
`void` | `run()`
`void` | `setContextClassLoader(ClassLoader)`
`void` | `setDaemon(boolean)`
`void` | `setName(String)`
`void` | `setPriority(int)`
`static void` | `sleep(long)`
`static void` | `sleep(long, int)`
`void` | `start()`
`void` | `stop()`
`void` | `stop(Throwable)`
`void` | `suspend()`
`String` | `toString()`
`static void` | `yield()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_PRIORITY

    public static final int MIN_PRIORITY

### NORM_PRIORITY

    public static final int NORM_PRIORITY

### MAX_PRIORITY

    public static final int MAX_PRIORITY

Constructor Detail

### Thread

    public Thread()

### Thread

    public Thread(Runnable)

### Thread

    public Thread(Runnable,
                  String)

### Thread

    public Thread(String)

### Thread

    public Thread(ThreadGroup,
                  Runnable)

### Thread

    public Thread(ThreadGroup,
                  Runnable,
                  String)

### Thread

    public Thread(ThreadGroup,
                  String)

Method Detail

### activeCount

    public static int activeCount()

### checkAccess

    public final void checkAccess()

### countStackFrames

    public int countStackFrames()

### currentThread

    public static Thread currentThread()

### destroy

    public void destroy()

### dumpStack

    public static void dumpStack()

### enumerate

    public static int enumerate(Thread[])

### getContextClassLoader

    public ClassLoader getContextClassLoader()

### getName

    public final String getName()

### getPriority

    public final int getPriority()

### getThreadGroup

    public final ThreadGroup getThreadGroup()

### interrupt

    public void interrupt()

### interrupted

    public static boolean interrupted()

### isAlive

    public final boolean isAlive()

### isDaemon

    public final boolean isDaemon()

### isInterrupted

    public boolean isInterrupted()

### join

    public final void join()
                    throws InterruptedException

### join

    public final void join(long)
                    throws InterruptedException

### join

    public final void join(long,
                           int)
                    throws InterruptedException

### resume

    public final void resume()

### run

    public void run()

  Specified by:
    run in interface Runnable

### setContextClassLoader

    public void setContextClassLoader(ClassLoader)

### setDaemon

    public final void setDaemon(boolean)

### setName

    public final void setName(String)

### setPriority

    public final void setPriority(int)

### sleep

    public static void sleep(long)
                      throws InterruptedException

### sleep

    public static void sleep(long,
                             int)
                      throws InterruptedException

### start

    public void start()

### stop

    public final void stop()

### stop

    public final void stop(Throwable)

### suspend

    public final void suspend()

### toString

    public String toString()

  Overrides:
    toString in class Object

### yield

    public static void yield()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.